<PGTemplate>
  <Category>
    <Name>Object</Name>
    <PGItems>
      <Item>
        <Name>Name</Name>
        <Type>string</Type>
        <Constraints>object_name</Constraints>
      </Item>
      <Item>
        <Name>GroupID</Name>
        <Type>string</Type>
        <Constraints />
      </Item>
      <Item>
        <Name>Value</Name>
        <Type>string</Type>
        <Constraints />
      </Item>
      <Item>
        <Name>Checked</Name>
        <Type>combo</Type>
        <Constraints>false,true</Constraints>
      </Item>
      <Item>
        <Name>Text</Name>
        <Type>multiline_string</Type>
        <Constraints />
      </Item>
      <Item>
        <Name>Font</Name>
        <Type>font</Type>
        <Constraints />
      </Item>
      <Item>
        <Name>FontFamily</Name>
        <Type>font_family</Type>
        <Constraints />
      </Item>
      <Item>
        <Name>FontSize</Name>
        <Type>number</Type>
        <Constraints>0,*</Constraints>
      </Item>
      <Item>
        <Name>FontBold</Name>
        <Type>combo</Type>
        <Constraints>false,true</Constraints>
      </Item>
      <Item>
        <Name>FontItalic</Name>
        <Type>combo</Type>
        <Constraints>false,true</Constraints>
      </Item>
      <Item>
         <Name>TextAlignment</Name>
         <Type>combo</Type>
         <Constraints>Left,Center,Right</Constraints>
      </Item>
      <Item>
         <Name>ButtonAlignment</Name>
         <Type>combo</Type>
         <Constraints>Left,Right</Constraints>
      </Item>
     <Item>
         <Name>ReadOrder</Name>
         <Type>combo</Type>
         <Constraints>Standard,Right to Left</Constraints>
      </Item>
    </PGItems>
  </Category>
  <Category>
      <Name>Colors</Name>
      <PGItems>
         <Item>
            <Name>Normal</Name>
            <Type>color</Type>
            <Constraints/>
         </Item>
         <Item>
            <Name>Highlight</Name>
            <Type>color</Type>
            <Constraints/>
         </Item>
         <Item>
            <Name>Click</Name>
            <Type>color</Type>
            <Constraints/>
         </Item>
         <Item>
            <Name>Disabled</Name>
            <Type>color</Type>
            <Constraints/>
         </Item>
      </PGItems>
   </Category>
  <Category>
    <Name>Attributes</Name>
    <PGItems>
      <Item>
        <Name>TooltipText</Name>
        <Type>string</Type>
        <Constraints />
      </Item>
      <Item>
        <Name>Enabled</Name>
        <Type>combo</Type>
        <Constraints>False,True</Constraints>
      </Item>
      <Item>
        <Name>Visible</Name>
        <Type>combo</Type>
        <Constraints>False,True</Constraints>
      </Item>
         <Item>
            <Name>Cursor</Name>
            <Type>combo</Type>
            <Constraints>Arrow,Hand,Black Arrow,Crosshair,Explore,Help,Magnify,Media,Money,Notepad,Pencil,Printer,Speaker,Up Arrow</Constraints>
      </Item>
    </PGItems>
  </Category>
  <Category>
    <Name>Position</Name>
    <PGItems>
      <Item>
        <Name>Left</Name>
        <Type>number</Type>
        <Constraints>-2000,2000</Constraints>
      </Item>
      <Item>
        <Name>Top</Name>
        <Type>number</Type>
        <Constraints>-2000,2000</Constraints>
      </Item>
      <Item>
        <Name>Width</Name>
        <Type>number</Type>
        <Constraints>0,2000</Constraints>
      </Item>
      <Item>
        <Name>Height</Name>
        <Type>number</Type>
        <Constraints>0,2000</Constraints>
      </Item>
    </PGItems>
  </Category>
   <Category>
      <Name>Auto-Resize</Name>
      <PGItems>
         <Item>
            <Name>ResizeLeft</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>ResizeRight</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>ResizeTop</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
         <Item>
            <Name>ResizeBottom</Name>
            <Type>combo</Type>
            <Constraints>False,True</Constraints>
         </Item>
      </PGItems>
   </Category>
   <Category>
      <Name>Sounds</Name>
      <PGItems>
         <Item>
            <Name>HighlightSound</Name>
            <Type>combo</Type>
            <Constraints>None,Standard,Custom</Constraints>
         </Item>
         <Item>
            <Name>HighlightFile</Name>
            <Type>file_browse</Type>
            <Constraints>Audio:Sound Effects</Constraints>
         </Item>
         <Item>
            <Name>ClickSound</Name>
            <Type>combo</Type>
            <Constraints>None,Standard,Custom</Constraints>
         </Item>
         <Item>
            <Name>ClickFile</Name>
            <Type>file_browse</Type>
            <Constraints>Audio:Sound Effects</Constraints>
         </Item>
      </PGItems>
   </Category>
</PGTemplate>